## ros-humble-smach-msgs 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

project(smach_msgs)

set(AMENT_DEPS
  ament_cmake)
foreach(dep IN ITEMS ${AMENT_DEPS})
  find_package(${dep} REQUIRED)
endforeach()
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/SmachContainerInitialStatusCmd.msg"
  "msg/SmachContainerStructure.msg"
  "msg/SmachContainerStatus.msg"
  DEPENDENCIES std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-smach-msgs (3.0.3-1bookworm) bookworm; urgency=high

  * Fix: Buildfarm issue https://github.com/ros/executive_smach/issues/111

 -- Isaac Saito <iisaac.saito@gmail.com>  Thu, 13 Jul 2023 16:00:00 -0000

ros-humble-smach-msgs (3.0.2-1bookworm) bookworm; urgency=high



 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-humble-smach-msgs (3.0.1-1bookworm) bookworm; urgency=high



 -- Isaac Saito <iisaac.saito@gmail.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-humble-smach-msgs (3.0.0-1bookworm) bookworm; urgency=high

  * ROS2-ified. #101 <https://github.com/ros/executive_smach/issues/101>

 -- Isaac Saito <iisaac.saito@gmail.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-humble-smach-msgs (2.5.1-1bookworm) bookworm; urgency=high



 -- Isaac Saito <iisaac.saito@gmail.com>  Tue, 14 Feb 2023 16:00:00 -0000

ros-humble-smach-msgs (2.5.0-1bookworm) bookworm; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 13 May 2020 16:00:00 -0000

ros-humble-smach-msgs (2.0.1-1bookworm) bookworm; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren

 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 07 Jun 2017 16:00:00 -0000

ros-humble-smach-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Add explanations within message definitions
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 16 Apr 2014 16:00:00 -0000

ros-humble-smach-msgs (1.3.1-1bookworm) bookworm; urgency=high

  * adding changelogs
  * Updating maintainer name
  * Updating maintainer name

 -- Isaac Saito <iisaac.saito@gmail.com>  Sun, 21 Jul 2013 16:00:00 -0000

=== debian/control ===
Source: ros-humble-smach-msgs
Section: misc
Priority: optional
Maintainer: Isaac Saito <iisaac.saito@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-flake8, ros-humble-ament-cmake-pep257, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-lint <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-smach-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: this package contains a set of messages that are used by the introspection interfaces for smach.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-smach-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-smach-msgs//opt/ros/humble/opt/smach_msgs/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
